<?php
/*--------------------------------------------+
| PHP-Fusion 5 - Content Management System    |
|---------------------------------------------|
| author: Nick Jones (Digitanium)  2002-2005 |
| web: http://www.php-fusion.co.uk            |
| email: nick@php-fusion.co.uk                |
|---------------------------------------------|
| Released under the terms and conditions of  |
| the GNU General Public License (Version 2)  |
+--------------------------------------------*/
if (!defined("IN_FUSION") || !checkRights("I")) { header("Location:../../index.php"); exit; }

if (file_exists(INFUSIONS."person_database/locale/".$settings['locale'].".php")) {
	include INFUSIONS."person_database/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."person_database/locale/English.php";
}

// Infusion Information
$inf_title = "Person Database";
$inf_description = "Person database";
$inf_version = "1.0";
$inf_developer = "Sren Lange";
$inf_email = "soeren@mit-sted.dk";
$inf_weburl = "http://www.mit-sted.dk";

// Infusion Paths
$inf_folder = "person_database";
$inf_admin_image = ""; 
$inf_admin_panel = "person_admin.php";

// Infusion Links : Adds a link to Site Links (if required)
$inf_link_url = "person.php";
$inf_link_name = "PersonData"; 
$inf_link_url = "person.php"; 
$inf_link_visibility = "102"; 

$inf_newtables = 1; // Number of new db tables to create or drop.
$inf_insertdbrows = 0; // Numbers rows added into created db tables.
$inf_altertables = 0; // Number of db tables to alter (upgrade).
$inf_deldbrows = 0; // Number of db tables to delete data from.

// Database Table information : Create database tables.

$inf_newtable_[1] = "person_database (
		person_id SMALLINT(5) UNSIGNED DEFAULT '0' NOT NULL AUTO_INCREMENT,
		person_user SMALLINT(5) UNSIGNED DEFAULT '0' NOT NULL,
		person_summary VARCHAR(200) DEFAULT '' NOT NULL,
		person_tele VARCHAR(50) DEFAULT '' NOT NULL,
		person_description TEXT NOT NULL,
		person_datestamp INT(10) UNSIGNED DEFAULT '0' NOT NULL,
		person_ponr VARCHAR(200) DEFAULT '' NOT NULL,
		person_bynavn VARCHAR(200) DEFAULT '' NOT NULL,
		person_mobil VARCHAR(200) DEFAULT '' NOT NULL,
		person_vej VARCHAR(200) DEFAULT '' NOT NULL,
		person_email VARCHAR(200) DEFAULT '' NOT NULL,
		person_nummer VARCHAR(200) DEFAULT '' NOT NULL,
		person_indmeldt VARCHAR(200) DEFAULT '' NOT NULL,
		person_betalt VARCHAR(200) DEFAULT '' NOT NULL,
		PRIMARY KEY (person_id)
	) TYPE=MyISAM;";
	
// Database Table Drop Command : Drop tables if infusion is uninstalled.
$inf_droptable_[1] = "person_database";
?>