<?php
/*--------------------------------------------+
| PHP-Fusion 5 - Content Management System    |
|---------------------------------------------|
| author: Nick Jones (Digitanium)  2002-2005 |
| web: http://www.php-fusion.co.uk            |
| email: nick@php-fusion.co.uk                |
|---------------------------------------------|
| Released under the terms and conditions of  |
| the GNU General Public License (Version 2)  |
+--------------------------------------------*/
@require_once "../../config.php";
require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once BASEDIR."side_left.php";

@include INFUSIONS."person_database/locale/".$settings['language'].".php";
@include INFUSIONS."person_database/locale/Danish.php";

if (iADMIN) {

if (!isset($step)) $step = "";

if (isset($_POST['submit_person'])) {
	$person_summary = stripinput($_POST['person_summary']);
	$person_ponr = stripinput($_POST['person_ponr']);
	$person_bynavn = stripinput($_POST['person_bynavn']);
	$person_mobil = stripinput($_POST['person_mobil']);
	$person_vej = stripinput($_POST['person_vej']);
	$person_tele = stripinput($_POST['person_tele']);
	$person_description = stripinput($_POST['person_description']);
	$person_email = stripinput($_POST['person_email']);
	$person_nummer = stripinput($_POST['person_nummer']);
	$person_indmeldt = stripinput($_POST['person_indmeldt']);
	$person_betalt = stripinput($_POST['person_betalt']);
	if ($person_summary != "") {
		$sql = dbquery("INSERT INTO ".$db_prefix."person_database VALUES('', '".$userdata['user_id']."', '$person_summary', '$person_tele', '$person_description', '".time()."', '$person_ponr', '$person_bynavn', '$person_mobil', '$person_vej', '$person_email', '$person_nummer', '$person_indmeldt', '$person_betalt')");
	}
	header("Location: ".FUSION_SELF);
}
if ($step == "view") {
	if (!$person_id || !isNum($person_id)) { header("Location: ".FUSION_SELF); exit; }
	opentable($locale['PERS_100']);
	$data = dbarray(dbquery(
		"SELECT ter.*, user_id,user_name FROM ".$db_prefix."person_database ter
		LEFT JOIN ".$db_prefix."users tusr ON ter.person_user=tusr.user_id
		WHERE person_id='".$person_id."'"
	));
	echo "<table width='100%' cellpadding='0' cellspacing='1' class='tbl-border'>
<tr>
<td colspan='2' class='tbl2'><b>".$data['person_summary']."</b></td>
</tr>
<tr>
<td width='125' class='tbl2'>".$locale['PERS_102']."</td>
<td class='tbl1'>".$data['person_vej']."</td>
</tr>
<tr>
<td width='125' class='tbl2'>".$locale['PERS_103']."</td>
<td class='tbl1'>".$data['person_ponr']."</td>
</tr>
<tr>
<td width='125' class='tbl2'>".$locale['PERS_104']."</td>
<td class='tbl1'>".$data['person_bynavn']."</td>
</tr>
<tr>
<td width='125' class='tbl2'>".$locale['PERS_105']."</td>
<td class='tbl1'>".$data['person_tele']."</td>
</tr>
<tr>
<td width='125' class='tbl2'>".$locale['PERS_106']."</td>
<td class='tbl1'>".$data['person_mobil']."</td>
</tr>
<tr>
<td width='125' class='tbl2'>".$locale['PERS_107']."</td>
<td class='tbl1'>".$data['person_email']."</td>
</tr>
<tr>","
<td class='tbl1'>","</td>
</tr>
<tr>
<td width='125' class='tbl2'>".$locale['PERS_108']."</td>
<td class='tbl1'>".$data['person_nummer']."</td>
</tr>
<tr>
<td width='125' class='tbl2'>".$locale['PERS_109']."</td>
<td class='tbl1'>".$data['person_indmeldt']."</td>
</tr>
<tr>
<td width='125' class='tbl2'>".$locale['PERS_110']."</td>
<td class='tbl1'>".$data['person_betalt']."</td>
</tr>
<tr>
<td width='125' class='tbl2'>".$locale['PERS_111']."</td>
<td class='tbl1'>".nl2br($data['person_description'])."</td>
</tr>
<tr>
<td width='135' class='tbl2'>".$locale['PERS_132']."</td>
<td class='tbl1'><a href='".BASEDIR."profile.php?lookup=".$data['user_id']."'>".$data['user_name']."</a> -
".strftime($settings['longdate'], $data['person_datestamp']+($settings['timeoffset']*3600))."</td>
</tr>\n";
	echo "
</table>\n";
	closetable();
}	
	tablebreak();

if (iADMIN) { 
opentable($locale['PERS_133']);
echo "<form name='reportform' method='post' action='".FUSION_SELF."'>
".$locale['PERS_120']."
<table align='center' cellspacing='0' cellpadding='0' class='tbl'>
<tr>
<td>".$locale['PERS_101']."</td>
<td><input type='text' name='person_summary' class='textbox' style='width:300px;'></td>
</tr>
<tr>
<td>".$locale['PERS_102']."</td>
<td><input type='text' name='person_vej' class='textbox' style='width:300px;'></td>
</tr>
<tr>
<td>".$locale['PERS_103']."</td>
<td><input type='text' name='person_ponr' class='textbox' style='width:40px;'></td>
</tr>
<tr>
<td>".$locale['PERS_104']."</td>
<td><input type='text' name='person_bynavn' class='textbox' style='width:190px;'></td>
</tr>
<tr>
<td>".$locale['PERS_105']."</td>
<td><input type='text' name='person_tele' class='textbox' style='width:140px;'></td>
</tr>
<tr>
<td>".$locale['PERS_106']."</td>
<td><input type='text' name='person_mobil' class='textbox' style='width:140px;'></td>
</tr>
<tr>
<td>".$locale['PERS_107']."</td>
<td><input type='text' name='person_email' class='textbox' style='width:180px;'></td>
</tr>
<tr>
<td>".$locale['PERS_108']."</td>
<td><input type='text' name='person_nummer' class='textbox' style='width:70px;'></td>
</tr>
<tr>
<td>".$locale['PERS_109']."</td>
<td><input type='text' name='person_indmeldt' class='textbox' style='width:80px;'></td>
</tr>
<tr>
<td>".$locale['PERS_110']."</td>
<td><input type='text' name='person_betalt' class='textbox' style='width:40px;'></td>
</tr>
<tr>
<td valign='top'>".$locale['PERS_111']."</td>
<td><textarea name='person_description' rows='5' class='textbox' style='width:300px;'></textarea></td>
</tr>
<tr>
<td align='center' colspan='2'>
<input type='submit' name='submit_person' value='".$locale['PERS_133']."' class='button'></td>
</tr>
</table>
</form>\n";
closetable();
tablebreak();
}
opentable($locale['PERS_100']);
$sql = dbquery(
	"SELECT ter.*, user_id,user_name FROM ".$db_prefix."person_database ter
	LEFT JOIN ".$db_prefix."users tusr ON ter.person_user=tusr.user_id
	ORDER BY person_nummer ASC"
);
if (dbrows($sql)) {
	$i = 0;
	echo "<table width='100%' cellpadding='0' cellspacing='1' class='tbl-border'>
<tr>
<td class='tbl2' width='20'><center>Nr.</center></td>
<td class='tbl2'>".$locale['PERS_101']."</td>
<td align='center' width='150' class='tbl2'>".$locale['PERS_132']."</td>
</tr>\n";
	while ($data = dbarray($sql)) {
		$i % 2 == 0 ? $tclass="tbl1" : $tclass="tbl2";
		echo "<tr>
		<td class='$tclass'><center>".$data['person_nummer']."</center></td>
<td class='$tclass'><a href='".FUSION_SELF."?step=view&person_id=".$data['person_id']."'>".$data['person_summary']."</a>, ".$data['person_bynavn']." 
<span class='small2'>(<a href='mailto:".$data['person_email']."'>E-Mail</a>)</span></td>
<td align='center' class='$tclass'><a href='".BASEDIR."profile.php?lookup=".$data['user_id']."'>".$data['user_name']."</a></td>
</tr>\n";
	}
	echo "</table>\n";
} else {
	echo "<center><br>\n".$locale['PERS_141']."<br><br>\n</center>\n";
}

closetable();

} else {
fallback("../index.php");
	//opentable($locale['PERS_100']);
	//echo "<center><br>\n".$locale['PERS_140']."<br><br>\n</center>\n";
	//closetable();
}

require_once BASEDIR."side_right.php";
require_once BASEDIR."footer.php";
?>